Subject: [Sip] SIP and MPLS

From: "chen Zhang" <[email-masked]>
Date: Tue, 30 Apr 2002 16:05:29 +0000

Hi,
SIP is an application layer protocol and origins as a large scale multiparty 
conferencing protocol.
MPLS is an advanced forwarding scheme.

Is it possible to join the SIP and MPLS? If it is, we can get
following benefits:
1. using SIP to set up the LSP.
2. providing the higher quality in the Internet.

IF you have any comments about that, Please let me know.

Thank you for your attention

Best regards

Chen

_________________________________________________________________
Send and receive Hotmail on your mobile device: http://mobile.msn.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Dean Willis" <[email-masked]>
Date: Tue, 30 Apr 2002 16:50:37 -0500

I believe Jon Crowcroft and Mark Gibson suggested something like this at
IETF 46 and barely escaped afterwards. So it's definitely a possibility.
However, it didn't appear at the time that there was much interest in
pursuing it at the IETF.

The slides from their presentation should be at:

http://www.softarmor.com/sipwg/meets/ietf46/slides/pres-gibson-sip-qos-r
esv-sip-46.PDF

And the related draft is probably still in the draft "morgue" on that
site.

--
Dean Willis

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of chen Zhang
> Sent: Tuesday, April 30, 2002 11:05 AM
> To: [email-masked]
> Subject: [Sip] SIP and MPLS
> 
> 
> Hi,
> following benefits: 1. using SIP to set up the LSP. 2. 
> providing the higher quality in the Internet.
> 
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments on the 
> application of sip
> 
>

---

From: "Hussam Jarada" <[email-masked]>
Date: Tue, 30 Apr 2002 17:07:27 -0500

Hi,

In section 7.1, line 787 states that:
[SIP elements MAY support Request-URIs with schemes other than "sip" and
"sips", for example the
"tel" URI scheme of RFC 2806]

But in section 8.1.12,  line 997 state that:
[All SIP implementations MUST support the SIP and URI scheme]

I think URI is just an error typing and it should be SIPS in line 997, cause
you have MAY in section 7.1 but MUST in section 8.1.12.

Thanks.

Hussam Jarada
Ulticom Inc.

---

From: Henry Sinnreich <[email-masked]>
Date: Tue, 30 Apr 2002 18:00:01 -0500

> providing the higher quality in the Internet.

I believe this is a horrible idea, and as mentioned by Dean has been
discussed and firmly rejected before. The reason it is so detestful
IMHO, is the Internet goes over many 'nets' withouth making any
assumption about any specific layer 2 end-to-end. That what "Inter" is
all about. It's IP end-to-end, not anything else.
(Some may suspect that MPLS here is just a mutant of ATM...)

MPLS may have have certainly its good use, but this is not one of them
IMHO.

The assumption:
>> providing the higher quality in the Internet
...is also wrong with regard to the Internet. Just make a SIP phone call
using two SIP devices end-to-end and you will see QoS is just fine as
is, especially with the present bandwidth glut. Access QoS is a
different story, but MPLS does not apply there either.

There are the DiffSev and IntServ Internet standards and MPLS is one of
the L2 that can be used with them, but RTP packets will see just IP.

Henry

Henry Sinnreich
WorldCom
400 International Parkway
Richardson, Texas 75081
USA